Get Assets Id Related Actions

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Path parameters

idstringRequired

Response

get RelatedAction(s)

idstringOptional
ULID
titlestringOptional
descriptionstringOptional
statusstringOptional
prioritystringOptional
actionable_typeenumOptional
actionable_idstringOptional
ULID
assigned_to_idstringOptional
ULID
user_idstringOptional
ULID
organisation_idstringOptional
ULID
due_datelongOptional

Unix timestamp (seconds since epoch)

completed_atlongOptional

Unix timestamp (seconds since epoch)

noteslist of objectsOptional
userobjectOptional
contentslist of objectsOptional
assigned_toobjectOptional
created_atlongOptional

Unix timestamp (seconds since epoch)

updated_atlongOptional

Unix timestamp (seconds since epoch)

actionableobjectOptional

The FormStep the action belongs to; present when actionable_type is FormStep or FormInput::Option